/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   main.c
 * Author: dbernard
 *
 * Created on 7 décembre 2020, 15:20
 * Exemple d'utilisation des ncurses
 * déplacement d'une flamme dans une fenetre à l'aide des touches '8' '4' '6' '2'
 * 'x' pour quitter l'application
 */


#include "fonctions.h"

/*
 * 
 */
int main(int argc, char** argv) {

    typeElement el;
    int touche;
    WINDOW *boite;
    

    setlocale(LC_ALL, ""); // mettre la console en compatibilité d'affichage unicode sous linux
    initscr(); // Initialise la structure WINDOW et autres paramètres 

    el.symbole = 0x1F525;   // symbole est une flamme 
    el.x = 1;
    el.y = 1;
    
    boite=subwin(stdscr,HAUTEUR,LARGEUR,1,1);   // boite positionnee en 1,1 avec comme dimension LARGEURxHAUTEUR
    box(boite,ACS_VLINE,ACS_HLINE);             // dessiner le contour de la boite
    wrefresh(boite);                            // mettre a jour l'affichage de la boite
    

    mvwprintw(boite,el.y, el.x,"%lc", el.symbole);  // on affiche l'element en x,y dans la boite

    curs_set(0);    //curseur invisible
    noecho();       // pas d'echo de la touche appuyée
    do {
        touche = getch();   // recupérer la valeur de la touche appuyée
        switch (touche) {
            case '4':bouger(&el, GAUCHE,boite);
                break;
            case '6':bouger(&el, DROITE,boite);
                break;
            case '8':bouger(&el, HAUT,boite);
                break;
            case '2':bouger(&el, BAS,boite);
                break;
        }
        refresh();  // mise a jour de l'affichage
        wrefresh(boite);
    } while (touche != 'x');

    endwin();   // remettre le terminal dans son état initial
    return (EXIT_SUCCESS);
}

